$(function () {

    var accept = [
        ['siedemdziesiątą siódmą'],
        ['siedemdziesiątą pierwszą'],
        ['sześćdziesiąt trzy'],
        ['siedemdziesiątą drugą']
    ],
            ok = '#3CB639',
            bad = '#F56B6B',
            speed = 700,
            times = 5,
            loop = setInterval(anim, 800);

    function anim(el) {
        times--;
        if (times === 0) {
            clearInterval(loop);
        }
        $(el).animate({opacity: 0.5}, speed).animate({opacity: 1}, speed);
    }

    function countFilled() {
        var count = 0;
        for (var i = 1; i <= accept.length; i++) {
            var str = $("#i" + i + '>input').val().toLowerCase().trim();
            if (str !== '') {
                count++;
            }
        }
        return count;
    }
    function countLetters() {
        var count = 0;
        for (var i = 1; i <= accept.length; i++) {
            var str = $("#i" + i + '>input').val().length;
            if (str < 2) {
                count++;
            }
        }
        return count;
    }
    function checkAll(mark) {
        var err = 0;
        for (var i = 1; i <= accept.length; i++) {
            var str = $("#i" + i + '>input').val().toLowerCase().trim();

            if (accept[i - 1].indexOf(str) < 0) {
                err++;
                if (mark) {
                    $("#i" + i + ">input").css('color', bad).animate({opacity: 0.8}, speed).animate({opacity: 1}, speed);
                    $("#i" + (i + 4) + '>input').css('color', bad);
                }
            } else {
                if (mark) {
                    $("#i" + i + ">input").stop(true, true).css({color:ok, opacity: 1});
                    $("#i" + (i + 4) + '>input').css('color', ok);
                }
            }
        }
        return err;
    }

    $("input").each(function () {
        var readOnly = $(this)[0].readOnly;
        if (!readOnly)
            $(this).val('');
    });

    $(".letterinput").keyup(function () {
        if (countFilled() === accept.length && countLetters() === 0) {
            if (checkAll(false) !== 0) {
                checkAll(true);
            } else {
                $("input").css('color', ok);
                $('#jplayer_well').jPlayer('play');
            }
        }
    });

});